Hola <%= @user.nickname %> 
<%= @user.try(:name) || @user.try(:email) %>  pulsó tu botón :
          <% if @isNeedType %>
            BUSCA / NECESITA
          <% elsif @isOfferType %>
            OFRECE
          <% else %>
          <% end %>
            <%= @user.nickname %>
          <% @button.needed_tags.each.with_index do |tag, index| %>
          <%= tag.name %>
          <% end %>
          <% @button.offer_tags.each.with_index do |tag, index| %>
          <%= tag.name %>
          <% end %>
          <%= @button.description %>
              <% if @button.to_location_name.nil? %>
              En <%= @button.location_name %>
              <% else %>
              De  <%= @button.location_name %>  A  <%= @button.to_location_name %>
              <% end %>
          <%= @buttonDate %>
<%= @redirectchatURL %> para ver conversación
